Subject: [apps-discuss] APPSDIR review of draft-ietf-dnsext-dnssec-registry-fixes-08

From: "Jiankang YAO" <[email-masked]>
Date: Tue, 13 Mar 2012 16:22:33 +0800

I have been selected as the Applications Area Directorate reviewer 
for this draft (for background on appsdir, please 
see 
http://trac.tools.ietf.org/area/app/trac/wiki/ApplicationsAreaDirectorate 
).  
Please resolve these comments along with any other comments 
you may receive. Please wait for direction from your document 
shepherd or AD before posting a new version of the draft.

Document: draft-ietf-dnsext-dnssec-registry-fixes-08 
Title: 
Applicability Statement: DNS Security (DNSSEC) DNSKEY Algorithm IANA Registry
Reviewer: Jiankang Yao
Review Date: March 13, 2012

Summary:

This draft is useful. If it is published, the following 
issues should be considered or addressed before publication.

Minor issue:

1) The introduction said "This document updates
   the following: [RFC2536], [RFC2539], [RFC3110], [RFC4034], [RFC4398],
   [RFC5155], [RFC5702], and [RFC5933].
"

It should address what is updated  in these RFCs [RFC2536], [RFC2539], [RFC3110], [RFC4034], [RFC4398], [RFC5155], [RFC5702], and [RFC5933].

Nits:

This sentence below in the IANA considerations section should be noted with "removed when rfc is published".

"In the column "Compliance to RFC TBD", "RFC TBD" should bechanged to the official RFC when published.
"

Jiankang Yao

---

From: Barry Leiba <[email-masked]>
Date: Tue, 13 Mar 2012 09:22:03 -0400

> It should address what is updated  in these RFCs [RFC2536], [RFC2539],
> [RFC3110], [RFC4034], [RFC4398], [RFC5155], [RFC5702], and [RFC5933].

It should, and it does.  The whole paragraph that the cited sentence
is in gives that explanation.

> "In the column "Compliance to RFC TBD", "RFC TBD" should bechanged to the official RFC when published.

But then wouldn't THAT sentence itself ALSO need a notation that IT
should be removed at publication?  And then THAT sentence, and so on?
We could wind up in quite a fix here!

Seriously, the RFC Editor folks are smart; they will understand that
the "fix this when published" message needs to be removed when they do
the fix.

Barry

---

From: Ralph Droms <[email-masked]>
Date: Tue, 13 Mar 2012 11:17:40 -0400

On Mar 13, 2012, at 9:46 AM 3/13/12, Scott Rose wrote:

> I think there might be a disconnect here.  I believe that the registry-fixes draft was not to be advanced.  In response to WG and IESG comments, the work was broken into two separate drafts that would be worked on independently:
> 
> draft-ietf-dnsext-dnssec-registry-update: Addressing some fixes to a set of DNSSEC algorithm registry entries
> http://datatracker.ietf.org/doc/draft-ietf-dnsext-dnssec-registry-update/
> 
> and draft-ietf-dnsext-dnssec-algo-imp-status: Algorithm implementation status assignment.  Aiming for BCP status and not Standards Track.
> http://datatracker.ietf.org/doc/draft-ietf-dnsext-dnssec-algo-imp-status/

Correct.  I've marked draft-ietf-dnsext-dnssec-registry-fixes dead.  I will progress draft-ietf-dnsext-dnssec-registry-update and draft-ietf-dnsext-dnssec-algo-imp-status through IETF and IESG when they are forwarded to me for publication.

- Ralph

> There has been more feedback and work on the registry-update draft as it contains the non-controversial parts of the older registry-fixes draft. Not sure of the exact timeline for advancing that out of the WG, but Andrew might have a better feel.
> 
> Scott
> 
> On Mar 13, 2012, at 4:22 AM, Jiankang YAO wrote:
>

---

From: Scott Rose <[email-masked]>
Date: Tue, 13 Mar 2012 09:46:34 -0400

Scott